Skip to content

Most visited

Recently visited

navigation
Added in API level 1

XmlPullParserException

public class XmlPullParserException
extends Exception

java.lang.Object
   ↳ java.lang.Throwable
     ↳ java.lang.Exception
       ↳ org.xmlpull.v1.XmlPullParserException


This exception is thrown to signal XML Pull Parser related faults.

Summary

Fields

protected int column

protected Throwable detail

protected int row

Public constructors

XmlPullParserException(String s)
XmlPullParserException(String msg, XmlPullParser parser, Throwable chain)

Public methods

int getColumnNumber()
Throwable getDetail()
int getLineNumber()
void printStackTrace()

Writes a printable representation of this Throwable's stack trace to the System.err stream.

Inherited methods

From class java.lang.Throwable
From class java.lang.Object

Fields

column

Added in API level 1
int column

detail

Added in API level 1
Throwable detail

row

Added in API level 1
int row

Public constructors

XmlPullParserException

Added in API level 1
XmlPullParserException (String s)

Parameters
s String

XmlPullParserException

Added in API level 1
XmlPullParserException (String msg, 
                XmlPullParser parser, 
                Throwable chain)

Parameters
msg String
parser XmlPullParser
chain Throwable

Public methods

getColumnNumber

Added in API level 1
int getColumnNumber ()

Returns
int

getDetail

Added in API level 1
Throwable getDetail ()

Returns
Throwable

getLineNumber

Added in API level 1
int getLineNumber ()

Returns
int

printStackTrace

Added in API level 1
void printStackTrace ()

Writes a printable representation of this Throwable's stack trace to the System.err stream.

This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.